Bug 1751726 - Review Request: php-williamdes-mariadb-mysql-kbs - An index of the MariaDB and MySQL Knowledge bases
Summary: Review Request: php-williamdes-mariadb-mysql-kbs - An index of the MariaDB an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1751692
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-12 13:09 UTC by Remi Collet
Modified: 2020-01-26 12:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 00:47:04 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2019-09-12 13:09:29 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/williamdes/php-williamdes-mariadb-mysql-kbs.git/plain/php-williamdes-mariadb-mysql-kbs.spec?id=378e427e1b46127b3f9b94467686f9b046834c8d
SRPM URL: http://rpms.remirepo.net/SRPMS/php-williamdes-mariadb-mysql-kbs-1.2.7-1.remi.src.rpm
Description: 
An index of the MariaDB and MySQL Knowledge bases.

Autoloader: /usr/share/php/Williamdes/MariaDBMySQLKBS/autoload.php



Fedora Account System Username: remi


----

New dependency of phpMyAdmin

Comment 1 William Desportes 2019-09-14 12:09:50 UTC
Hi,

I any changes are required, contact me :)

Thanks,
William Desportes,
Package owner

Comment 2 Robert-André Mauchin 2019-09-22 21:47:44 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Mozilla Public License
     (v2.0)". 116 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-williamdes-mariadb-
     mysql-kbs/review-php-williamdes-mariadb-mysql-kbs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-williamdes-mariadb-mysql-kbs-1.2.7-1.fc32.noarch.rpm
          php-williamdes-mariadb-mysql-kbs-1.2.7-1.fc32.src.rpm
php-williamdes-mariadb-mysql-kbs.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-williamdes-mariadb-mysql-kbs.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-williamdes-mariadb-mysql-kbs.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-williamdes-mariadb-mysql-kbs.src: W: spelling-error %description -l en_US usr -> use, us, user
php-williamdes-mariadb-mysql-kbs.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 4 Gwyn Ciesla 2019-09-23 13:22:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-williamdes-mariadb-mysql-kbs

Comment 5 Fedora Update System 2019-09-23 15:19:50 UTC
FEDORA-2019-54c4674fe0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-54c4674fe0

Comment 6 Fedora Update System 2019-09-24 00:49:53 UTC
php-williamdes-mariadb-mysql-kbs-1.2.7-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a08ae4c6e4

Comment 7 Fedora Update System 2019-09-24 01:24:16 UTC
php-williamdes-mariadb-mysql-kbs-1.2.7-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-54c4674fe0

Comment 8 Fedora Update System 2019-10-02 00:47:04 UTC
php-williamdes-mariadb-mysql-kbs-1.2.7-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-02 01:59:38 UTC
php-williamdes-mariadb-mysql-kbs-1.2.7-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 udo 2020-01-25 16:32:05 UTC
php-williamdes-mariadb-mysql-kbs can be removed without dependency related messages.
Then phpMyAdmin stops working. (500 error, clear screen when accessing)
Why does phpMyAdmin depend on on a knowledge base for functioning?

Comment 11 William Desportes 2020-01-25 21:53:52 UTC
Hi

> php-williamdes-mariadb-mysql-kbs can be removed without dependency related messages.
phpMyAdmin needs my library to work fine.

It was added in https://github.com/phpmyadmin/phpmyadmin/pull/14459

> Why does phpMyAdmin depend on on a knowledge base for functioning?
phpMyAdmin uses the data from my library and no longer has the role of keeping up to date on new server variables and their documentation links.
This is the role of williamdes-mariadb-mysql-kbs (https://github.com/williamdes/mariadb-mysql-kbs).

I hope to have explained as much as needed.

Comment 12 udo 2020-01-26 04:34:47 UTC
Why would phpAdmin need a knowledge base c.q. documentation or whatever to function?

Comment 13 Remi Collet 2020-01-26 10:10:42 UTC
>php-williamdes-mariadb-mysql-kbs can be removed without dependency related messages.

Already fixed in 5.0.1-2
https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef66b1c971

Comment 14 udo 2020-01-26 10:27:48 UTC
Why is the user forced to have a knowledge base on their system(s) to run phpmyadmin?

Comment 15 William Desportes 2020-01-26 11:15:33 UTC
> Why is the user forced to have a knowledge base on their system(s) to run phpmyadmin?

The data existed and was just moved to a package (https://github.com/phpmyadmin/phpmyadmin/pull/14459/files#diff-fa09187547b0c9a7c09fddc6a5aada3c)
So I do not understand the issue here, but I am open to discuss or make it optional.


This discussion could continue, but on https://github.com/phpmyadmin/phpmyadmin/issues or https://github.com/williamdes/mariadb-mysql-kbs/issues


Regards,
William Desportes

Comment 16 udo 2020-01-26 11:22:37 UTC
I do think that you understand my point.
A failure to act is a negative for Fedora.

Comment 17 Remi Collet 2020-01-26 12:42:46 UTC
> A failure to act is a negative for Fedora.

phpMyAdmin 5 was available in my repo since RC1

5.0.0 stay in testing for 1 week and was obsoleted by 5.0.1
5.0.1 stay 2 weeks in testing before being pushed to stable.

So, lack of testers ?

Chickens and eggs issue, if people want a "stable" distro, and nobody test it....

And the bug was fixed the day it was reported....
And yes, bugs exist in ALL project

Really, please STOP this discussion on an unrelated issue (this was the initial review)

If not happy, open another bug report, or raise discussion somewhere else.

Comment 18 udo 2020-01-26 12:46:46 UTC
If you think that flexibility towards the user is unrelated to a package...


Note You need to log in before you can comment on or make changes to this bug.